// FILENAME:	DM_Conflaguration.cs
//
// Based On:      City on the Edge by Chupie Doll & Yough in Asia
//
// AUTHORS:  	Temujin
//------------------------------------------------------------------------------

$missionName = "DM_Conflaguration";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function player::onAdd(%this)
{
   say(%this, 0, "Welcome to DM_Conflaguration!  This map designed by ''|''mJ.  This and other maps are available at http://www6.50megs.com/temujin.  At this site you will also find Temujin's skin collections and training manual.");
}

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

   // what can the server admin choose for available teams
   $server::disableTeamRed = false;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = true;
}

function onMissionStart()
{
	marsSounds();
}

function onMissionLoad(){
   cdAudioCycle("Purge", "Terror", "Watching"); 
}

// ZenAll Pad Functionality
//------------------------------------------------------------------------------
function RedZen::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_ALLPAD, true, true);  
}

function RedZen::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, $redZenHealRate, $redZenAmmoRate, $zenWaitTime, true);
	if(isShutDown(%object)){
		if(%object != $lastVehicleOnRedZen){
			$lastVehicleOnRedZen = %object;
			$secondsToGainRedZen = 1;
		}
		else{
			$secondsToGainRedZen = $secondsToGainRedZen + 1;
		}
		if($secondsToGainRedZen >= 4)
			giveRedTurretsToThisGuy(%object);
	}
}

function BlueZen::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_ALLPAD, true, true);  
}

function BlueZen::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, $blueZenHealRate, $blueZenAmmoRate, $zenWaitTime, true);
	if(isShutDown(%object)){
		if(%object != $lastVehicleOnBlueZen){
			$lastVehicleOnBlueZen = %object;
			$secondsToGainBlueZen = 1;
		}
		else{
			$secondsToGainBlueZen = $secondsToGainBlueZen + 1;
		}
		if($secondsToGainBlueZen >= 4)
			giveBlueTurretsToThisGuy(%object);
	}
}

// Pillar Transport Functionality
//------------------------------------------------------------------------------

function TowerUp1::structure::onScan(%scanned, %scanner)
{
      %x = randomInt( -92, -112 );
	%y = randomInt( -292, -332 );

      setPosition(%scanner, %x, %y, 500);
}

function TowerUp2::structure::onScan(%scanned, %scanner)
{
      %x = randomInt( 92, 112 );
	%y = randomInt( -292, -332 );

      setPosition(%scanner, %x, %y, 500);
}

function TowerUp3::structure::onScan(%scanned, %scanner)
{
      %x = randomInt( -92, -112 );
	%y = randomInt( 292, 332 );

      setPosition(%scanner, %x, %y, 500);
}

function TowerUp4::structure::onScan(%scanned, %scanner)
{
      %x = randomInt( 92, 112 );
	%y = randomInt( 292, 332 );

      setPosition(%scanner, %x, %y, 500);
}

// Turret Code
// -----------------------------------------------------------------------------------

function giveRedTurretsToThisGuy(%vehicleId){
	%team = getTeam(%vehicleId);
	setTeam("MissionGroup\\Outer Walls\\T1", %team);
	setTeam("MissionGroup\\Outer Walls\\T2", %team);
	setTeam("MissionGroup\\Outer Walls\\T3", %team);
}

function giveBlueTurretsToThisGuy(%vehicleId){
	%team = getTeam(%vehicleId);
	setTeam("MissionGroup\\Outer Walls\\T4", %team);
	setTeam("MissionGroup\\Outer Walls\\T5", %team);
	setTeam("MissionGroup\\Outer Walls\\T6", %team);
}
